ReservationAllocationStatePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: ReservationAllocationStatePBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class ReservationAllocationStatePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.ReservationAllocationState
org.apache.hadoop.yarn.api.records.impl.pb.ReservationAllocationStatePBImpl

@Private @Unstable public class ReservationAllocationStatePBImpl extends org.apache.hadoop.yarn.api.records.ReservationAllocationState
`ReservationAllocationStatePBImpl` implements the `ReservationAllocationState` that represents the reservation that is made by a user.

It includes:

- Duration of the reservation.
- Acceptance time of the duration.
- List of `ResourceAllocationRequest`, which includes the time interval, and capability of the allocation. `ResourceAllocationRequest` represents an allocation made for a reservation for the current state of the plan. This can be changed for reasons such as re-planning, but will always be subject to the constraints of the user contract as described by `ReservationDefinition`
- `ReservationId` of the reservation.
- `ReservationDefinition` used to make the reservation.

See Also:
  - `ResourceAllocationRequest`
  - `ReservationId`
  - `ReservationDefinition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationAllocationStatePBImpl()`
  `ReservationAllocationStatePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ReservationAllocationStateProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `long`
  `getAcceptanceTime()`
  `org.apache.hadoop.yarn.proto.YarnProtos.ReservationAllocationStateProto`
  `getProto()`
  `org.apache.hadoop.yarn.api.records.ReservationDefinition`
  `getReservationDefinition()`
  `org.apache.hadoop.yarn.api.records.ReservationId`
  `getReservationId()`
  `List<org.apache.hadoop.yarn.api.records.ResourceAllocationRequest>`
  `getResourceAllocationRequests()`
  `String`
  `getUser()`
  `int`
  `hashCode()`
  `void`
  `setAcceptanceTime(long acceptanceTime)`
  `void`
  `setReservationDefinition(org.apache.hadoop.yarn.api.records.ReservationDefinition newReservationDefinition)`
  `void`
  `setReservationId(org.apache.hadoop.yarn.api.records.ReservationId newReservationId)`
  `void`
  `setResourceAllocationRequests(List<org.apache.hadoop.yarn.api.records.ResourceAllocationRequest> newResourceAllocations)`
  `void`
  `setUser(String user)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.ReservationAllocationState

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReservationAllocationStatePBImpl

    public ReservationAllocationStatePBImpl()

  - ### ReservationAllocationStatePBImpl

    public ReservationAllocationStatePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ReservationAllocationStateProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.ReservationAllocationStateProto getProto()

  - ### getAcceptanceTime

    public long getAcceptanceTime()
    Specified by:
      `getAcceptanceTime` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### setAcceptanceTime

    public void setAcceptanceTime(long acceptanceTime)
    Specified by:
      `setAcceptanceTime` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### getUser

    public String getUser()
    Specified by:
      `getUser` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### setUser

    public void setUser(String user)
    Specified by:
      `setUser` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### getResourceAllocationRequests

    public List<org.apache.hadoop.yarn.api.records.ResourceAllocationRequest> getResourceAllocationRequests()
    Specified by:
      `getResourceAllocationRequests` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### setResourceAllocationRequests

    public void setResourceAllocationRequests(List<org.apache.hadoop.yarn.api.records.ResourceAllocationRequest> newResourceAllocations)
    Specified by:
      `setResourceAllocationRequests` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### getReservationId

    public org.apache.hadoop.yarn.api.records.ReservationId getReservationId()
    Specified by:
      `getReservationId` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### setReservationId

    public void setReservationId(org.apache.hadoop.yarn.api.records.ReservationId newReservationId)
    Specified by:
      `setReservationId` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### getReservationDefinition

    public org.apache.hadoop.yarn.api.records.ReservationDefinition getReservationDefinition()
    Specified by:
      `getReservationDefinition` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### setReservationDefinition

    public void setReservationDefinition(org.apache.hadoop.yarn.api.records.ReservationDefinition newReservationDefinition)
    Specified by:
      `setReservationDefinition` in class `org.apache.hadoop.yarn.api.records.ReservationAllocationState`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`